[svn.haxx.se] · SVN Dev · SVN Users · SVN Org · TSVN Dev · TSVN Users · Subclipse Dev · Subclipse Users · this month's index

Re: [Patch] Update SWIG support

From: John Lenz <lenz_at_cs.wisc.edu>
Date: 2004-11-30 20:29:58 CET

On 11/30/04 13:25:30, John Lenz wrote:
> On 11/30/04 08:57:15, Greg Hudson wrote:
>> On Tue, 2004-11-30 at 03:42, Branko ─îibej wrote:
>> > John Lenz wrote:
>> >
>> > > <rant>If subversion is using a depreciated feature, then you should
>> > > notify the SWIG developers.
>>
>> It was our best understanding that SWIG had adopted a totally insane
>> position on the support library (that a module had to decide at build
>> time whether to include the support library functions, and if a program
>> wanted to use multiple libraries, precisely one of them needed to be
>> built with the support library enabled, such that it becomes impossible
>> to distribute binaries of swig-using modules), and that this issue had
>> already been discussed on the swig list without changing your minds
>> about it. See http://svn.haxx.se/dev/archive-2004-09/0873.shtml and the
>> other messages in that thread.
>
> Yeah, that was how it was for a while. We did that in an effort to
> simplify, but it didn't work out so well.
>
> At least subversion should fail to compile if swig > 1.3.22 is used, and
> even 1.3.22 has a few issues.

I meant, fail during ./configure

John

---------------------------------------------------------------------
To unsubscribe, e-mail: dev-unsubscribe@subversion.tigris.org
For additional commands, e-mail: dev-help@subversion.tigris.org
Received on Tue Nov 30 20:31:25 2004

This is an archived mail posted to the Subversion Dev mailing list.